package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 咨询机构合作记录
 *
 * @author
 * @since 2023-12-14
 */
@Data
@ExcelIgnoreUnannotated
public class AdvisoryBodyVo {
    /**
     * 项目主键
     */
    private Long projectKey;

    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称", index = 0)
    private String projectName;


    /**
     * 业主单位
     */
    @ExcelProperty(value = "发包人名称", index = 1)
    private String ownerName;

    /**
     * 项目经理及联系方式
     */
    @ExcelProperty(value = "项目经理及联系方式", index = 2)
    private String projectManagerAndPhone;
    /**
     * 商务经理及联系方式
     */
    @ExcelProperty(value = "商务经理及联系方式", index = 3)
    private String businessManagerAndPhone;

    /**
     * 招标代理机构名称
     */
    @ExcelProperty(value = "招标代理机构名称", index = 4)
    private String bidAgencyUnit;


    /**
     * 一审单位
     */
    @ExcelProperty(value = "一审单位", index = 5)
    private String firstAuditUnit;


    /**
     * 二审单位
     */
    @ExcelProperty(value = "二审单位", index = 6)
    private String secondAuditUnit;


    /**
     * 三审单位
     */
    @ExcelProperty(value = "三审单位", index = 7)
    private String thirdAuditUnit;




    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 省
     */
    private String provinceName;

    /**
     * 市
     */
    private String cityName;

    /**
     * 项目承接类型
     */
    private String isinvestproject;

    /**
     * 工程基础大类
     */
    private String projectType1;

    /**
     * 工程类别明细
     */
    private String projectType2;

    /**
     * 咨询机构ID
     */
    private Long advisoryBodyId;

    /**
     * 咨询机构cid(用于查询建设库数据)
     */
    private Integer advisoryBodyCid;

    /**
     * 咨询机构名称
     */
    private String advisoryBodyName;
    /**
     * 项目负责人
     */
    private String projectLeader;
    /**
     * 项目负责人专业
     */
    private String projectLeaderMajor;
    /**
     * 项目负责人联系电话
     */
    private String projectLeaderPhone;
    /**
     * 合同金额
     */
    private BigDecimal contractValue;
    /**
     * 业主单位cid
     */
    private Integer ownerCid;

    /**
     * 项目承接单位cid
     */
    private Integer contractOrgCid;
    /**
     * 项目承接单位
     */
    private String contractOrgName;

    /**
     * 创建时间/合同生效(盖章)日期
     */
    private Date contractSignDate;
}
